<!DOCTYPE HTML>
<html lang="<?php echo e(app()->currentLocale()); ?>">
	<head>
		<meta charset="UTF-8">
		<link type="text/css" rel="stylesheet" href="dist/frontend.css">
		<link type="text/css" rel="stylesheet" href="<?php echo e($userCssUrl); ?>">
		<link rel="shortcut icon" href="favicon.ico">
		<link rel="apple-touch-icon" href="img/apple-touch-icon-ipad.png" sizes="120x120">
		<link rel="apple-touch-icon" href="img/apple-touch-icon-iphone.png" sizes="152x152">
		<link rel="apple-touch-icon" href="img/apple-touch-icon-iphone-plus.png" sizes="180x180">
		<meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1.0, maximum-scale=4.0, user-scalable=yes">
		<meta name="theme-color" content="#222">
		<meta name="apple-mobile-web-app-status-bar-style" content="black">
		<meta name="apple-mobile-web-app-capable" content="yes">
		<meta name="generator" content="Lychee v4">
		<!--General Meta Data -->
		<title><?php echo e($pageTitle); ?></title>
		<meta name="description" content="<?php echo e($pageDescription); ?>">
		<meta name="author" content="<?php echo e($siteOwner); ?>">
		<meta name="publisher" content="<?php echo e($siteOwner); ?>">
		<!-- Twitter Meta Data -->
		<meta name="twitter:title" content="<?php echo e($pageTitle); ?>">
		<meta name="twitter:description" content="<?php echo e($pageDescription); ?>">
		<meta name="twitter:image" content="<?php echo e($imageUrl); ?>">
		<!-- OpenGraph Meta Data (e.g. used by Facebook) -->
		<meta property="og:title" content="<?php echo e($pageTitle); ?>">
		<meta property="og:description" content="<?php echo e($pageDescription); ?>">
		<meta property="og:image" content="<?php echo e($imageUrl); ?>">
		<meta property="og:url" content="<?php echo e($pageUrl); ?>">
		<!-- RSS feeds -->
		<?php if($rssEnable): ?>
			<?php echo $__env->make('feed::links', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
		<?php endif; ?>
	</head>
	<body class="mode-none vflex-container">
		<?php echo $bodyHtml; ?>

		<script async defer type="text/javascript" src="dist/frontend.js"></script>
		<script defer type="text/javascript" src="<?php echo e($userJsUrl); ?>"></script>
	</body>
</html>
<?php /**PATH /home/jovigir/public_html/bevphotos/resources/views/frontend.blade.php ENDPATH**/ ?>